com.tibbo.aggregate.common.action.command

## Class Confirm

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.Confirm

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class Confirm
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_MESSAGE`
    `static java.lang.String` | `CF_MESSAGE_TYPE`
    `static java.lang.String` | `CF_OPTION_TYPE`
    `static TableFormat` | `CFT_CONFIRM`
    `static java.lang.String` | `RF_OPTION`
    `static TableFormat` | `RFT_CONFIRM`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Confirm()`
    `Confirm(java.lang.String message)`
    `Confirm(java.lang.String title, DataTable parameters)`
    `Confirm(java.lang.String title, java.lang.String message, int optionType, int messageType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `constructParameters()`
    `GenericActionResponse` | `createDefaultResponse()`
    `java.lang.String` | `getMessage()`
    `int` | `getMessageType()`
    `int` | `getOptionType()`
    `static int` | `parseConfirm(GenericActionResponse resp)`
    `void` | `setMessage(java.lang.String message)`
    `void` | `setMessageType(int messageType)`
    `void` | `setOptionType(int optionType)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_MESSAGE

          public static final java.lang.String CF_MESSAGE

      See Also:
        Constant Field Values

    - #### CF_OPTION_TYPE

          public static final java.lang.String CF_OPTION_TYPE

      See Also:
        Constant Field Values

    - #### CF_MESSAGE_TYPE

          public static final java.lang.String CF_MESSAGE_TYPE

      See Also:
        Constant Field Values

    - #### RF_OPTION

          public static final java.lang.String RF_OPTION

      See Also:
        Constant Field Values

    - #### CFT_CONFIRM

          public static final TableFormat CFT_CONFIRM

    - #### RFT_CONFIRM

          public static final TableFormat RFT_CONFIRM

  - ### Constructor Detail

    - #### Confirm

          public Confirm()

    - #### Confirm

          public Confirm(java.lang.String message)

    - #### Confirm

          public Confirm(java.lang.String title,
                         java.lang.String message,
                         int optionType,
                         int messageType)

    - #### Confirm

          public Confirm(java.lang.String title,
                         DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          public DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### createDefaultResponse

          public GenericActionResponse createDefaultResponse()

      Overrides:
        `createDefaultResponse` in class `GenericActionCommand`

    - #### parseConfirm

          public static int parseConfirm(GenericActionResponse resp)

    - #### getMessage

          public java.lang.String getMessage()

    - #### getOptionType

          public int getOptionType()

    - #### getMessageType

          public int getMessageType()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### setOptionType

          public void setOptionType(int optionType)

    - #### setMessageType

          public void setMessageType(int messageType)